from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent

class LARD_Agent(AbstractClassifierAgent):
  
    def __init__(self, env):
        AbstractClassifierAgent.__init__(self, env)
        self._listOfKnownAgents = ["Size_Agent", "TRSearch_Agent", "TE_BLRx_Agent", "TE_BLRtx_Agent", "ORF_Agent"]

    def getAgentName(self):
        return "LARD"
    
    def _makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult is not None:
            for iResult in iDemandAndResult.result:
                if "termLTR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)
