from PASTEC.utils.AbstractClassifierAdaptatorAgent import AbstractClassifierAdaptatorAgent

class AbstractAdaptatorAgent(AbstractClassifierAdaptatorAgent):
        
    ## Create the appropriate message of classification, confidence index,consensus name and the dict of evidence
    #
    # @param classification string 
    # @param IC integer confidence index
    #
    # @return dict of message
    #
    def generateMessage(self, classification, CI):
        if classification == self.INIT_CLASSIF:
            CI = self._environment.getMaxCI()
        dictOfEvidence = self._fillDictOfEvidence()
        message = {'consensusName': self._consensusName, 'classif': classification, 'confidenceIndex': CI, 'dictOfEvidence': dictOfEvidence}
        return message
        
    def getAgentName(self):
        pass
    
    def decide(self):
        pass
    
    def _fillDictOfEvidence(self):
        pass
