#! /usr/local/bin/gawk -f
BEGIN{
  count=1
}
/^[ ]*[0-9]+/{
  qname=$5;
  qstart=$6;
  qend=$7;
  sname=$10;
  
  if($9=="+"){
    if($13 ~ /^\(-?[0-9]+\)$/){
	sstart=$11;
	send=$12;
	RMID=$14;
    }
    else{
      sstart=$12;
      send=$13;
      RMID=$15;
    }  
  }
  else{
    if($11 ~ /^\(-?[0-9]+\)$/){
      sstart=$12;
      send=$13;
      RMID=$14;
    }
    else{
      sstart=$13;
      send=$14;
      RMID=$15;
    }  
  }

  divergence=$2;
  score=$1; 
    
    
  key_id=RMID " " qname " " sname
  if(key_id in id_list)
    {
      id=id_list[key_id];
    }
  else
    {
      id=count;
      id_list[key_id]=count++;
    }
  identity=100-divergence;
  print id "\t" qname "\t" qstart "\t" qend "\t" sname "\t" sstart "\t" send "\t" "0.0" "\t" score "\t" identity;

}
