#!/usr/bin/env bash

#if [[ $# -ne 2 ]];
#    then
#        echo "usage:" $0 "<config filename> <path file>";
#        exit 1;
#    fi;

. $1

date

cd $root_dir/CombBLR_$TElib_prefix

#srptCreateTable.py -t path -f $2 -n ${chunk_combBLR_prefix}_${TElib_prefix}_path
srptCreateTable.py -t path -f Comb_${TElib_prefix}.path -n ${chunk_combBLR_prefix}_${TElib_prefix}_path

srptRenameTable.py -t ${chunk_combBLR_prefix}_${TElib_prefix}_path -n ${chunk_combBLR_prefix}_${TElib_prefix}

echo "** Remove doublons"
srptRemovePathDoublons.py -q ${chunk_combBLR_prefix}_${TElib_prefix}

echo "** Remove spurious"
srptRemoveSpurious.py -q ${chunk_combBLR_prefix}_${TElib_prefix}_nr -s $SSRtable -t "path/set"

echo "** Conv to chr"
srptConvChunk2Chr.py -m $chunkMaptable -q ${chunk_combBLR_prefix}_${TElib_prefix}_nr_noSSR -t path -c

echo "** Rename chr"
srptRenameTable.py -t ${chunk_combBLR_prefix}_${TElib_prefix}_nr_noSSR_onchr -n ${chr_combBLR_prefix}_${TElib_prefix}_nr_noSSR

echo "** Join"
srptJoinPath.py -t ${chr_combBLR_prefix}_${TElib_prefix}_nr_noSSR

echo "** Conv back to chunk"
srptConvChr2Chunk.py -m $chunkMaptable -q ${chr_combBLR_prefix}_${TElib_prefix}_nr_noSSR_joined -t path

echo $0 " finished successfully !"
date
